------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>26
-- /chgmap 10764 176 274
-- 1.地图为鬼之岛
-- 2.Fumotaro站在屏幕中央，玩家众人围着Fumotaro
-- 3.Fumotaro喝下药水，变身成啸海巨魔外形
-- 4.变身完成后，屏幕震动，除玩家外的NPC被震飞至屏幕外


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(175, 271)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(175, 271)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- hero:SetCtrlMapView(1)

local player0 = CppScriptMgr:AddSimplePlayer(1064510, 167, 266, "ToadNinja", 4003000070,1)
local player1 = CppScriptMgr:AddSimplePlayer(1064510, 169, 272, "ToadNinja", 4003000071,1)
local player2 = CppScriptMgr:AddSimplePlayer(1064514, 175, 277, "ToadNinja", 4003000072,1)
local player3 = CppScriptMgr:AddSimplePlayer(1064516, 182, 276, "ToadNinja", 4003000073,1)
local player4 = CppScriptMgr:AddSimplePlayer(1064512, 183, 270, "ToadNinja", 4003000074,1)
local player5 = CppScriptMgr:AddSimplePlayer(1064514, 178, 260, "ToadNinja", 4003000075,1)
local player6 = CppScriptMgr:AddSimplePlayer(1064510, 172, 258, "ToadNinja", 4003000076,1)
local player7 = CppScriptMgr:AddSimplePlayer(1064512, 166, 259, "ToadNinja", 4003000077,1)
local player8 = CppScriptMgr:AddSimplePlayer(1064512, 164, 262, "ToadNinja", 4003000078,1)
local player9 = CppScriptMgr:AddSimplePlayer(1064512, 171, 275, "ToadNinja", 4003000079,1)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("    Stop! Who are you?", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc192", 150, 430, "ToadJim", 250, 655)
CppScriptMgr:WaitMilSec(2000)

hero:Say("(A talking toad!)", 3000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    I am the disciple of Hanzo, coming here to visit Taeko Sensei.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc191", 150, 430, "Player", 250, 655)
CppScriptMgr:WaitMilSec(2000)

player5:Say("Hanzo?<Whispering>", 3000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Are you a Ninja?", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc192", 150, 430, "Player", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Yes, I am.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc191", 150, 430, "Player", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("    Are you a Ninja?", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc192", 150, 430, "Player", 250, 655)
CppScriptMgr:WaitMilSec(2000)
